> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Object Records

> Supported Objects are custom objects and standard objects like "business". See: https://help.hoopai.com/api-reference/overview/objects/87cpx-379336



## OpenAPI

````yaml /api-reference/objects/openapi.json post /objects/{schemaKey}/records/search
openapi: 3.0.0
info:
  title: CUSTOM_OBJECTS API
  description: >-
    Custom objects are completely customizable objects that allow you to store
    and manage information tailored to your unique business needs. With custom
    objects, you can create custom fields, establish relationships, and
    integrate them into workflows, providing flexibility beyond standard objects
    like Contacts, Opportunities or Companies.
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Custom Objects Schema
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Object Schema
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Sub-Account (Formerly Location)
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Records
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Search Object Records
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Search
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Tags
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Tasks Search
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Custom Field
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Custom Value
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Timezone
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Template
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: ElasticSearch
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
paths:
  /objects/{schemaKey}/records/search:
    post:
      tags:
        - Search Object Records
      summary: Search Object Records
      description: >-
        Supported Objects are custom objects and standard objects like
        "business". See:
        https://help.hoopai.com/api-reference/overview/objects/87cpx-379336
      operationId: search-object-records
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: schemaKey
          required: true
          in: path
          description: custom object key
          schema:
            example: 632c34b4c9b7da3358ac9891
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchRecordsBody'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchRecordResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - objects/record.readonly
components:
  schemas:
    SearchRecordsBody:
      type: object
      properties:
        locationId:
          type: string
          description: Location Id
          example: ve9EPM428h8vShlRW1KT
        page:
          type: number
          description: Page
          example: 1
        pageLimit:
          type: number
          description: Page Limit
          example: 10
        query:
          type: string
          example: Buddy
          description: >-
            Pass this query parameter to search using your searchable
            properties. For example, if you have a custom object called “Pets”
            and have configured “name” as a searchable property, you can pass
            name:Buddy to search for pets with the name “Buddy.”
        searchAfter:
          example:
            - sx6wyHhbFdRXh302Lunr
            - sx6wyHhbFdRXh302Lunr
          type: array
          items:
            type: string
      required:
        - locationId
        - page
        - pageLimit
        - query
        - searchAfter
    SearchRecordResponseDTO:
      type: object
      properties:
        records:
          description: Records
          type: array
          items:
            $ref: '#/components/schemas/RecordResponseDTO'
        total:
          type: number
          description: Total Number of records
          example: 20
      required:
        - total
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    RecordResponseDTO:
      type: object
      properties:
        id:
          type: string
          example: 661c06b4ffde146bdb469442
          description: id of the record
        owner:
          description: >-
            Owner (User's id). Limited to 1 for now . Only supported for custom
            objects for now
          example:
            - sx6wyHhbFdRXh302Lunr
          type: array
          items:
            type: string
        followers:
          description: >-
            Follower (User's ids). Limited to 10 and supported for custom
            objects for now
          example:
            - sx6wyHhbFdRXh302Lunr
            - v5cEPM428h8vShlRW1KT
          type: array
          items:
            type: string
        properties:
          type: string
          example:
            customer_number: 1424
            ticket_name: Customer not able login
            phone_number: '+917000000000'
            money:
              currency: default
              value: 100
            type_of_ticket: doubt
            section_of_app:
              - contacts
              - smartlist
            recieved_on: '2024-07-11'
            my_files:
              - url: '---url_of_file---'
            my_textbox_list.option_a: Value 1
            my_textbox_list.option_b: Value 2
          description: Properties of the record
        createdAt:
          type: string
          description: Date and time when the object was added
          format: date-time
        updatedAt:
          type: string
          description: Date and time when the object was last updated
          format: date-time
        locationId:
          type: string
          description: Location Id
          example: ve9EPM428h8vShlRW1KT
        objectId:
          type: string
          description: ObjectId Id
          example: 6d6f6e676f5f6576656e7473
        objectKey:
          type: string
          description: ObjectId key
          example: custom_objects.pet
        createdBy:
          $ref: '#/components/schemas/CreatedByResponseDTO'
        lastUpdatedBy:
          $ref: '#/components/schemas/CreatedByResponseDTO'
        searchAfter:
          example:
            - 1738683828372
            - 67a235b49b289431bcf657f8
          type: array
          items:
            type: number
      required:
        - id
        - owner
        - followers
        - properties
        - createdAt
        - updatedAt
        - locationId
        - objectId
        - objectKey
        - createdBy
        - lastUpdatedBy
        - searchAfter
    CreatedByResponseDTO:
      type: object
      properties:
        channel:
          type: string
          description: Creation Channel
          example: WEB_USER
        createdAt:
          type: string
          description: Created At
          example: '2025-01-02T09:35:39.032Z'
        source:
          type: string
          description: From where the record was created
          example: PUBLIC_API
        sourceId:
          type: string
          description: User/Resource Id
          example: 26653146-ec82-435d-8a99-84ecdb7fde13
      required:
        - channel
        - createdAt
        - source
        - sourceId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````